varying vec3 normal;
varying vec3 v;
varying vec3 lightvec;
varying vec3 view;
varying vec3 HalfVector;
varying vec4 VColor;

void main(void)
{
 vec4 IAmbient        = gl_LightSource[0].ambient;
 vec4 IDiffuse        = gl_LightSource[0].diffuse * max(dot(normal, lightvec), 0.0);

 vec4 ISpecular       = gl_LightSource[0].specular * pow(max(dot(HalfVector, normal), 0.0), gl_FrontMaterial.shininess);

 gl_FragColor = gl_FrontLightModelProduct.sceneColor + IAmbient + IDiffuse + ISpecular;
}
