varying vec3 normal;
varying vec3 v;
varying vec3 lightvec;
varying vec3 view;
varying vec3 HalfVector;
varying vec4 VColor;
varying vec3 P;

void main(void)
{
  normal          = normalize(gl_NormalMatrix * gl_Normal);
  v               = vec3(gl_ModelViewMatrix * gl_Vertex);
  lightvec        = normalize(gl_LightSource[0].position.xyz - v);
  view            = normalize(-v);
  HalfVector      = normalize((lightvec + view)/2.0);

  gl_Position     = gl_ModelViewProjectionMatrix * gl_Vertex;
}
